Skip to main content
PATCH
Update Establishment

Headers

authorization
string | null
x-api-key
string | null
x-tenant-id
string | null

Path Parameters

issuer_id
string<uuid>
required
establishment_id
string<uuid>
required

Cookies

factio_access_token
string | null

Body

application/json

Schema for updating an Establishment (partial update).

name
string | null

Display name for the establishment

Required string length: 1 - 255
address
string | null

Physical address of the establishment

Minimum string length: 1
is_active
boolean | null

Whether the establishment is active

Response

Successful Response

Schema for Establishment response.

id
string<uuid>
required
tenant_id
string<uuid>
required
issuer_id
string<uuid>
required
code
string
required
name
string | null
required
address
string
required
is_active
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required